Refunds: List
POST/refunds/list
Lists all the refunds associated with the merchant, or for a specific payment if payment_id is provided
Request body RefundListRequest
start_timestringrequiredThe start time to filter payments list or to get list of filters. To get list of filters start time is needed to be passed
end_timestring, nullableThe end time to filter payments list or to get list of filters. If not passed the default time is now
payment_idstring, nullableThe identifier for the payment
refund_idstring, nullableThe identifier for the refund
profile_idstring, nullableThe identifier for business profile
limitinteger, nullableLimit on the number of objects to return
offsetinteger, nullableThe starting point within a list of objects
amount_filterAmountFilter (object), nullableShow 2 child attributes
start_amountinteger, nullableThe start amount to filter list of transactions which are greater than or equal to the start amount
end_amountinteger, nullableThe end amount to filter list of transactions which are less than or equal to the end amount
currencyarray of string (enum), nullableThe list of currencies to filter refunds list
refund_statusarray of string (enum), nullableThe list of refund statuses to filter refunds list
Responses
200List of refunds
Request
curl --request POST \
--url https://sandbox.cardencer.com/refunds/list \
--header 'Content-Type: application/json' \
--header 'api-key: snd_...' \
--data '{
"start_time": "string"
}'Response
{
"count": 0,
"total_count": 0,
"data": [
{
"refund_id": "string",
"payment_id": "string",
"amount": 6540,
"currency": "string",
"status": "succeeded"
}
]
}